## 塔奇平台

[English Version](README.EN-US.md)

塔奇平台（Tachybase）致力于打造一个用户友好的应用研发平台，旨在降低开发门槛，提升研发效率，为开发者提供一站式解决方案。随着企业数字化转型的加速，应用研发变得日益复杂，尤其是在多样化的业务需求和快速迭代的市场环境下。塔奇平台应运而生，针对这一问题，专注于将常见的功能组件和系统服务进行高度封装，以组件化、模块化的方式为开发者提供开箱即用的工具和功能。

前端友好：以用户体验为核心
塔奇平台的最大特点之一是其前端友好性。传统的应用研发过程往往涉及繁琐的后端开发，前端开发者不仅要编写界面，还需处理业务逻辑、数据交互和服务器配置等复杂内容。这种高耦合性和多层次的开发方式，既增加了开发周期，又提高了维护成本。

塔奇平台通过将复杂的功能模块进行封装，让开发者可以更加专注于前端开发，减少对后端开发的依赖。例如，平台提供了丰富的表格组件，帮助开发者轻松实现增删改查（CRUD）操作，而无需重复编写后端接口或数据库操作逻辑。开发者只需调用平台提供的组件，即可快速构建功能强大的前端应用，大大提升了开发效率。

封装功能组件：灵活组合与定制化
塔奇平台的核心在于其功能组件封装，这些组件被设计成模块化的“卡片”，可以自由组合使用，满足不同行业和场景的需求。常见的功能组件包括：

表格卡片：增删改查操作是企业信息系统中最基础的功能，塔奇平台的表格组件通过简化数据交互流程，让开发者可以直接通过拖拽或简单的代码配置，快速生成适合不同业务场景的表格。不论是数据展示、分页管理，还是复杂的条件筛选，平台都可以通过内置的参数化配置实现。

抄送卡片：在信息流转过程中，通知和抄送是非常常见的需求。塔奇平台提供了灵活的抄送卡片，用户可以将某个通知或信息抄送给相关负责人或多个业务部门，以确保信息的及时传达。开发者只需配置相关的通知规则，平台便能自动完成信息的发送与接收。

AI 流程：随着智能化的发展，越来越多的企业需要自动化流程以提高效率。塔奇平台集成了AI驱动的自动化流程管理，开发者可以通过简单的配置和拖拽操作，快速搭建自动化流程，从而实现智能化的业务流转。无论是自动化审批、智能推荐，还是基于机器学习的预测分析，塔奇平台都提供了相应的组件化解决方案。

这些功能组件不仅具有高度的通用性，还能根据业务需求进行灵活定制。开发者可以根据具体应用场景，快速调整组件的外观、交互逻辑和数据处理方式，确保组件在不同的业务场景下发挥最大效用。

系统服务：全面支持后端需求
除了前端组件化的封装，塔奇平台还提供了强大的系统服务支持，这使得开发者无需过多关注底层逻辑即可实现复杂的业务功能。塔奇平台的系统服务包括但不限于以下几类：

身份认证与权限管理：平台内置了完善的身份认证和权限管理系统，支持用户登录、注册、角色划分和权限分配等操作。开发者不必自行构建用户管理模块，平台提供的服务可以直接接入应用，确保用户数据的安全性和权限的合理分配。

数据存储与交互：塔奇平台提供了多种数据存储方式，支持主流的关系型数据库和非关系型数据库，并提供数据缓存、数据备份等功能。开发者只需关注数据的使用，而不必关心数据的存储、查询等具体细节。

消息队列与任务调度：为了应对高并发和异步任务处理，平台集成了消息队列和任务调度服务。无论是处理大量的用户请求，还是进行复杂的后台任务，开发者可以轻松调用这些服务，确保应用的稳定性和高效性。

前瞻性与扩展性
塔奇平台不仅解决了当前开发过程中常见的痛点，还具备很强的前瞻性和扩展性。随着业务需求的不断变化，企业需要一个灵活且可扩展的平台来应对未来的挑战。塔奇平台采用了模块化架构设计，开发者可以根据具体需求添加或移除模块，保证了系统的可扩展性和可维护性。

此外，塔奇平台紧跟技术发展的前沿，集成了多种现代化的开发工具和框架。例如，平台支持微服务架构，方便开发者对不同业务模块进行解耦和独立部署；同时，平台还提供了全面的API接口，便于与第三方系统或工具进行无缝对接。

## 感谢

塔奇平台基于旧版 nocobase（apache 版本）打造，沿用了其大部分思想，在这里十分感谢他们带来了如此优秀的作品。